using ServiceWrapper.ApiWebServiceReference;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServiceWrapper
{
    public class Wrapper
    {
        public void AddToCachedTable(string projName, string[] values)
        {
            using (ApiWebService client = new ApiWebService())
            {
                client.AddToCachedTableAsync(projName, values);
            }
        }
        

        public void MatchInsert(string projName, long id, string[] values)
        {
            using (ApiWebService client = new ApiWebService())
            {
                client.MatchAndInsertAsync(projName, id, true, values);
            }
        }

        public string GetVersion()
        {
            using (ApiWebService client = new ApiWebService())
            {
                return client.GetVersion();
            }
        }
    }
}
